Substy Developers
Team

Get my team performance statistics

Read performance statistics for the current agency employee over the supplied period.

GET/v1/agencies/{agencyId}/team/employees/me/statistics

Read performance statistics for the current agency employee over the supplied period.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Query Parameters

creatorIds?array<string>
Default[]
startDate?string
endDate?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/team/employees/me/statistics" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "id": "string",    "name": "string",    "email": "string",    "imageUrl": null,    "rate": null,    "hourlyWage": null,    "agencyId": "string",    "employeeId": "string",    "creators": [      {        "id": "string"      }    ],    "stats": {      "messages": {        "amountPpvSent": 0,        "amountPpvPaid": 0,        "amountMessagesSent": 0,        "unlockRate": 0,        "aov": 0,        "aovNet": 0,        "sumGeneratedGross": 0,        "sumGeneratedNet": 0,        "sumTips": 0,        "sumTipsNet": 0      }    },    "commission": 0,    "hoursWorked": 0,    "paidMessages": null,    "tips": null,    "joinedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string"  }}